comparison interps/egobch/config.status @ 996:859f9b4339e6

<Gregor> tar xf egobot.tar.xz
author HackBot
date Sun, 09 Dec 2012 19:30:08 +0000
parents
children
comparison
equal deleted inserted replaced
995:6883f5911eb7 996:859f9b4339e6
1 #! /bin/bash
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/bash}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46 do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100 fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
157 ;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS=" $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by EgoBCh $as_me 0.1, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile src/Makefile"
275 config_headers=" config.h"
276 config_commands=" depfiles"
277
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
281
282 Usage: $0 [OPTIONS] [FILE]...
283
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
293
294 Configuration files:
295 $config_files
296
297 Configuration headers:
298 $config_headers
299
300 Configuration commands:
301 $config_commands
302
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 EgoBCh config.status 0.1
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"\"
308
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
318 do
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
324 ;;
325 -*)
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
329 ;;
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
335
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
364
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
371
372 *) ac_config_targets="$ac_config_targets $1" ;;
373
374 esac
375 shift
376 done
377
378 ac_configure_extra_args=
379
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
383 fi
384
385 if $ac_cs_recheck; then
386 echo "running /bin/bash ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/bash ./configure $ac_configure_extra_args --no-create --no-recursion
388 fi
389
390 #
391 # INIT-COMMANDS section.
392 #
393
394 AMDEP_TRUE="" ac_aux_dir="scripts"
395
396 for ac_config_target in $ac_config_targets
397 do
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
402 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
403 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
404 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
405 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
406 { (exit 1); exit 1; }; };;
407 esac
408 done
409
410 # If the user did not use the arguments to specify the items to instantiate,
411 # then the envvar interface is used. Set only those that are not.
412 # We use the long form for the default assignment because of an extremely
413 # bizarre bug on SunOS 4.1.3.
414 if $ac_need_defaults; then
415 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
416 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
417 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
418 fi
419
420 # Have a temporary directory for convenience. Make it in the build tree
421 # simply because there is no reason to put it here, and in addition,
422 # creating and moving files from /tmp can sometimes cause problems.
423 # Create a temporary directory, and hook for its removal unless debugging.
424 $debug ||
425 {
426 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
427 trap '{ (exit 1); exit 1; }' 1 2 13 15
428 }
429
430 # Create a (secure) tmp directory for tmp files.
431
432 {
433 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
434 test -n "$tmp" && test -d "$tmp"
435 } ||
436 {
437 tmp=./confstat$$-$RANDOM
438 (umask 077 && mkdir $tmp)
439 } ||
440 {
441 echo "$me: cannot create a temporary directory in ." >&2
442 { (exit 1); exit 1; }
443 }
444
445
446 #
447 # CONFIG_FILES section.
448 #
449
450 # No need to generate the scripts if there are no CONFIG_FILES.
451 # This happens for instance when ./config.status config.h
452 if test -n "$CONFIG_FILES"; then
453 # Protect against being on the right side of a sed subst in config.status.
454 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
455 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
456 s,@SHELL@,/bin/bash,;t t
457 s,@PATH_SEPARATOR@,:,;t t
458 s,@PACKAGE_NAME@,EgoBCh,;t t
459 s,@PACKAGE_TARNAME@,egobch,;t t
460 s,@PACKAGE_VERSION@,0.1,;t t
461 s,@PACKAGE_STRING@,EgoBCh 0.1,;t t
462 s,@PACKAGE_BUGREPORT@,,;t t
463 s,@exec_prefix@,${prefix},;t t
464 s,@prefix@,/usr/local,;t t
465 s,@program_transform_name@,s,x,x,,;t t
466 s,@bindir@,${exec_prefix}/bin,;t t
467 s,@sbindir@,${exec_prefix}/sbin,;t t
468 s,@libexecdir@,${exec_prefix}/libexec,;t t
469 s,@datadir@,${prefix}/share,;t t
470 s,@sysconfdir@,${prefix}/etc,;t t
471 s,@sharedstatedir@,${prefix}/com,;t t
472 s,@localstatedir@,${prefix}/var,;t t
473 s,@libdir@,${exec_prefix}/lib,;t t
474 s,@includedir@,${prefix}/include,;t t
475 s,@oldincludedir@,/usr/include,;t t
476 s,@infodir@,${prefix}/info,;t t
477 s,@mandir@,${prefix}/man,;t t
478 s,@build_alias@,,;t t
479 s,@host_alias@,,;t t
480 s,@target_alias@,,;t t
481 s,@DEFS@,-DHAVE_CONFIG_H,;t t
482 s,@ECHO_C@,,;t t
483 s,@ECHO_N@,-n,;t t
484 s,@ECHO_T@,,;t t
485 s,@LIBS@,-lm ,;t t
486 s,@INSTALL_PROGRAM@,${INSTALL},;t t
487 s,@INSTALL_SCRIPT@,${INSTALL},;t t
488 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
489 s,@CYGPATH_W@,echo,;t t
490 s,@PACKAGE@,egobch,;t t
491 s,@VERSION@,0.1,;t t
492 s,@ACLOCAL@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobch/scripts/missing --run aclocal-1.9,;t t
493 s,@AUTOCONF@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobch/scripts/missing --run autoconf,;t t
494 s,@AUTOMAKE@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobch/scripts/missing --run automake-1.9,;t t
495 s,@AUTOHEADER@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobch/scripts/missing --run autoheader,;t t
496 s,@MAKEINFO@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobch/scripts/missing --run makeinfo,;t t
497 s,@install_sh@,/home/gregor/projects/hackbot/multibot_cmds/env/interps/egobch/scripts/install-sh,;t t
498 s,@STRIP@,,;t t
499 s,@ac_ct_STRIP@,,;t t
500 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
501 s,@mkdir_p@,mkdir -p --,;t t
502 s,@AWK@,gawk,;t t
503 s,@SET_MAKE@,,;t t
504 s,@am__leading_dot@,.,;t t
505 s,@AMTAR@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobch/scripts/missing --run tar,;t t
506 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
507 s,@am__untar@,${AMTAR} xf -,;t t
508 s,@CC@,gcc,;t t
509 s,@CFLAGS@,-g -O2,;t t
510 s,@LDFLAGS@,,;t t
511 s,@CPPFLAGS@,,;t t
512 s,@ac_ct_CC@,gcc,;t t
513 s,@EXEEXT@,,;t t
514 s,@OBJEXT@,o,;t t
515 s,@DEPDIR@,.deps,;t t
516 s,@am__include@,include,;t t
517 s,@am__quote@,,;t t
518 s,@AMDEP_TRUE@,,;t t
519 s,@AMDEP_FALSE@,#,;t t
520 s,@AMDEPBACKSLASH@,\,;t t
521 s,@CCDEPMODE@,depmode=gcc3,;t t
522 s,@am__fastdepCC_TRUE@,,;t t
523 s,@am__fastdepCC_FALSE@,#,;t t
524 s,@CPP@,gcc -E,;t t
525 s,@EGREP@,grep -E,;t t
526 s,@LIBOBJS@,,;t t
527 s,@LTLIBOBJS@,,;t t
528 CEOF
529
530 # Split the substitutions into bite-sized pieces for seds with
531 # small command number limits, like on Digital OSF/1 and HP-UX.
532 ac_max_sed_lines=48
533 ac_sed_frag=1 # Number of current file.
534 ac_beg=1 # First line for current file.
535 ac_end=$ac_max_sed_lines # Line after last line for current file.
536 ac_more_lines=:
537 ac_sed_cmds=
538 while $ac_more_lines; do
539 if test $ac_beg -gt 1; then
540 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
541 else
542 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
543 fi
544 if test ! -s $tmp/subs.frag; then
545 ac_more_lines=false
546 else
547 # The purpose of the label and of the branching condition is to
548 # speed up the sed processing (if there are no `@' at all, there
549 # is no need to browse any of the substitutions).
550 # These are the two extra sed commands mentioned above.
551 (echo ':t
552 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
553 if test -z "$ac_sed_cmds"; then
554 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
555 else
556 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
557 fi
558 ac_sed_frag=`expr $ac_sed_frag + 1`
559 ac_beg=$ac_end
560 ac_end=`expr $ac_end + $ac_max_sed_lines`
561 fi
562 done
563 if test -z "$ac_sed_cmds"; then
564 ac_sed_cmds=cat
565 fi
566 fi # test -n "$CONFIG_FILES"
567
568 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
569 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
570 case $ac_file in
571 - | *:- | *:-:* ) # input from stdin
572 cat >$tmp/stdin
573 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
574 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
575 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
576 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
577 * ) ac_file_in=$ac_file.in ;;
578 esac
579
580 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
581 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
582 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
583 X"$ac_file" : 'X\(//\)[^/]' \| \
584 X"$ac_file" : 'X\(//\)$' \| \
585 X"$ac_file" : 'X\(/\)' \| \
586 . : '\(.\)' 2>/dev/null ||
587 echo X"$ac_file" |
588 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
589 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
590 /^X\(\/\/\)$/{ s//\1/; q; }
591 /^X\(\/\).*/{ s//\1/; q; }
592 s/.*/./; q'`
593 { if $as_mkdir_p; then
594 mkdir -p "$ac_dir"
595 else
596 as_dir="$ac_dir"
597 as_dirs=
598 while test ! -d "$as_dir"; do
599 as_dirs="$as_dir $as_dirs"
600 as_dir=`(dirname "$as_dir") 2>/dev/null ||
601 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
602 X"$as_dir" : 'X\(//\)[^/]' \| \
603 X"$as_dir" : 'X\(//\)$' \| \
604 X"$as_dir" : 'X\(/\)' \| \
605 . : '\(.\)' 2>/dev/null ||
606 echo X"$as_dir" |
607 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
608 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
609 /^X\(\/\/\)$/{ s//\1/; q; }
610 /^X\(\/\).*/{ s//\1/; q; }
611 s/.*/./; q'`
612 done
613 test ! -n "$as_dirs" || mkdir $as_dirs
614 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
615 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
616 { (exit 1); exit 1; }; }; }
617
618 ac_builddir=.
619
620 if test "$ac_dir" != .; then
621 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
622 # A "../" for each directory in $ac_dir_suffix.
623 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
624 else
625 ac_dir_suffix= ac_top_builddir=
626 fi
627
628 case $srcdir in
629 .) # No --srcdir option. We are building in place.
630 ac_srcdir=.
631 if test -z "$ac_top_builddir"; then
632 ac_top_srcdir=.
633 else
634 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
635 fi ;;
636 [\\/]* | ?:[\\/]* ) # Absolute path.
637 ac_srcdir=$srcdir$ac_dir_suffix;
638 ac_top_srcdir=$srcdir ;;
639 *) # Relative path.
640 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
641 ac_top_srcdir=$ac_top_builddir$srcdir ;;
642 esac
643
644 # Do not use `cd foo && pwd` to compute absolute paths, because
645 # the directories may not exist.
646 case `pwd` in
647 .) ac_abs_builddir="$ac_dir";;
648 *)
649 case "$ac_dir" in
650 .) ac_abs_builddir=`pwd`;;
651 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
652 *) ac_abs_builddir=`pwd`/"$ac_dir";;
653 esac;;
654 esac
655 case $ac_abs_builddir in
656 .) ac_abs_top_builddir=${ac_top_builddir}.;;
657 *)
658 case ${ac_top_builddir}. in
659 .) ac_abs_top_builddir=$ac_abs_builddir;;
660 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
661 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
662 esac;;
663 esac
664 case $ac_abs_builddir in
665 .) ac_abs_srcdir=$ac_srcdir;;
666 *)
667 case $ac_srcdir in
668 .) ac_abs_srcdir=$ac_abs_builddir;;
669 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
670 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
671 esac;;
672 esac
673 case $ac_abs_builddir in
674 .) ac_abs_top_srcdir=$ac_top_srcdir;;
675 *)
676 case $ac_top_srcdir in
677 .) ac_abs_top_srcdir=$ac_abs_builddir;;
678 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
679 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
680 esac;;
681 esac
682
683
684 case $INSTALL in
685 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
686 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
687 esac
688
689 if test x"$ac_file" != x-; then
690 { echo "$as_me:$LINENO: creating $ac_file" >&5
691 echo "$as_me: creating $ac_file" >&6;}
692 rm -f "$ac_file"
693 fi
694 # Let's still pretend it is `configure' which instantiates (i.e., don't
695 # use $as_me), people would be surprised to read:
696 # /* config.h. Generated by config.status. */
697 if test x"$ac_file" = x-; then
698 configure_input=
699 else
700 configure_input="$ac_file. "
701 fi
702 configure_input=$configure_input"Generated from `echo $ac_file_in |
703 sed 's,.*/,,'` by configure."
704
705 # First look for the input files in the build tree, otherwise in the
706 # src tree.
707 ac_file_inputs=`IFS=:
708 for f in $ac_file_in; do
709 case $f in
710 -) echo $tmp/stdin ;;
711 [\\/$]*)
712 # Absolute (can't be DOS-style, as IFS=:)
713 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
714 echo "$as_me: error: cannot find input file: $f" >&2;}
715 { (exit 1); exit 1; }; }
716 echo "$f";;
717 *) # Relative
718 if test -f "$f"; then
719 # Build tree
720 echo "$f"
721 elif test -f "$srcdir/$f"; then
722 # Source tree
723 echo "$srcdir/$f"
724 else
725 # /dev/null tree
726 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
727 echo "$as_me: error: cannot find input file: $f" >&2;}
728 { (exit 1); exit 1; }; }
729 fi;;
730 esac
731 done` || { (exit 1); exit 1; }
732 sed "/^[ ]*VPATH[ ]*=/{
733 s/:*\$(srcdir):*/:/;
734 s/:*\${srcdir}:*/:/;
735 s/:*@srcdir@:*/:/;
736 s/^\([^=]*=[ ]*\):*/\1/;
737 s/:*$//;
738 s/^[^=]*=[ ]*$//;
739 }
740
741 :t
742 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
743 s,@configure_input@,$configure_input,;t t
744 s,@srcdir@,$ac_srcdir,;t t
745 s,@abs_srcdir@,$ac_abs_srcdir,;t t
746 s,@top_srcdir@,$ac_top_srcdir,;t t
747 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
748 s,@builddir@,$ac_builddir,;t t
749 s,@abs_builddir@,$ac_abs_builddir,;t t
750 s,@top_builddir@,$ac_top_builddir,;t t
751 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
752 s,@INSTALL@,$ac_INSTALL,;t t
753 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
754 rm -f $tmp/stdin
755 if test x"$ac_file" != x-; then
756 mv $tmp/out $ac_file
757 else
758 cat $tmp/out
759 rm -f $tmp/out
760 fi
761
762 done
763
764 #
765 # CONFIG_HEADER section.
766 #
767
768 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
769 # NAME is the cpp macro being defined and VALUE is the value it is being given.
770 #
771 # ac_d sets the value in "#define NAME VALUE" lines.
772 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
773 ac_dB='[ ].*$,\1#\2'
774 ac_dC=' '
775 ac_dD=',;t'
776 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
777 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
778 ac_uB='$,\1#\2define\3'
779 ac_uC=' '
780 ac_uD=',;t'
781
782 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
783 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
784 case $ac_file in
785 - | *:- | *:-:* ) # input from stdin
786 cat >$tmp/stdin
787 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
788 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
789 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
790 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
791 * ) ac_file_in=$ac_file.in ;;
792 esac
793
794 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
795 echo "$as_me: creating $ac_file" >&6;}
796
797 # First look for the input files in the build tree, otherwise in the
798 # src tree.
799 ac_file_inputs=`IFS=:
800 for f in $ac_file_in; do
801 case $f in
802 -) echo $tmp/stdin ;;
803 [\\/$]*)
804 # Absolute (can't be DOS-style, as IFS=:)
805 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
806 echo "$as_me: error: cannot find input file: $f" >&2;}
807 { (exit 1); exit 1; }; }
808 # Do quote $f, to prevent DOS paths from being IFS'd.
809 echo "$f";;
810 *) # Relative
811 if test -f "$f"; then
812 # Build tree
813 echo "$f"
814 elif test -f "$srcdir/$f"; then
815 # Source tree
816 echo "$srcdir/$f"
817 else
818 # /dev/null tree
819 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
820 echo "$as_me: error: cannot find input file: $f" >&2;}
821 { (exit 1); exit 1; }; }
822 fi;;
823 esac
824 done` || { (exit 1); exit 1; }
825 # Remove the trailing spaces.
826 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
827
828 # Handle all the #define templates only if necessary.
829 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
830 # If there are no defines, we may have an empty if/fi
831 :
832 cat >$tmp/defines.sed <<CEOF
833 /^[ ]*#[ ]*define/!b
834 t clr
835 : clr
836 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"EgoBCh"${ac_dD}
837 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"egobch"${ac_dD}
838 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.1"${ac_dD}
839 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"EgoBCh 0.1"${ac_dD}
840 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
841 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"egobch"${ac_dD}
842 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.1"${ac_dD}
843 ${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
844 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
845 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
846 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
847 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
848 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
849 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
850 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
851 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
852 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
853 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
854 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
855 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
856 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
857 ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
858 CEOF
859 sed -f $tmp/defines.sed $tmp/in >$tmp/out
860 rm -f $tmp/in
861 mv $tmp/out $tmp/in
862
863 fi # grep
864
865 # Handle all the #undef templates
866 cat >$tmp/undefs.sed <<CEOF
867 /^[ ]*#[ ]*undef/!b
868 t clr
869 : clr
870 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"EgoBCh"${ac_uD}
871 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"egobch"${ac_uD}
872 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.1"${ac_uD}
873 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"EgoBCh 0.1"${ac_uD}
874 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
875 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"egobch"${ac_uD}
876 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.1"${ac_uD}
877 ${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
878 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
879 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
880 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
881 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
882 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
883 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
884 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
885 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
886 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
887 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
888 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
889 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
890 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
891 ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
892 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
893 CEOF
894 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
895 rm -f $tmp/in
896 mv $tmp/out $tmp/in
897
898 # Let's still pretend it is `configure' which instantiates (i.e., don't
899 # use $as_me), people would be surprised to read:
900 # /* config.h. Generated by config.status. */
901 if test x"$ac_file" = x-; then
902 echo "/* Generated by configure. */" >$tmp/config.h
903 else
904 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
905 fi
906 cat $tmp/in >>$tmp/config.h
907 rm -f $tmp/in
908 if test x"$ac_file" != x-; then
909 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
910 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
911 echo "$as_me: $ac_file is unchanged" >&6;}
912 else
913 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
914 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
915 X"$ac_file" : 'X\(//\)[^/]' \| \
916 X"$ac_file" : 'X\(//\)$' \| \
917 X"$ac_file" : 'X\(/\)' \| \
918 . : '\(.\)' 2>/dev/null ||
919 echo X"$ac_file" |
920 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
921 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
922 /^X\(\/\/\)$/{ s//\1/; q; }
923 /^X\(\/\).*/{ s//\1/; q; }
924 s/.*/./; q'`
925 { if $as_mkdir_p; then
926 mkdir -p "$ac_dir"
927 else
928 as_dir="$ac_dir"
929 as_dirs=
930 while test ! -d "$as_dir"; do
931 as_dirs="$as_dir $as_dirs"
932 as_dir=`(dirname "$as_dir") 2>/dev/null ||
933 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
934 X"$as_dir" : 'X\(//\)[^/]' \| \
935 X"$as_dir" : 'X\(//\)$' \| \
936 X"$as_dir" : 'X\(/\)' \| \
937 . : '\(.\)' 2>/dev/null ||
938 echo X"$as_dir" |
939 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
940 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
941 /^X\(\/\/\)$/{ s//\1/; q; }
942 /^X\(\/\).*/{ s//\1/; q; }
943 s/.*/./; q'`
944 done
945 test ! -n "$as_dirs" || mkdir $as_dirs
946 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
947 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
948 { (exit 1); exit 1; }; }; }
949
950 rm -f $ac_file
951 mv $tmp/config.h $ac_file
952 fi
953 else
954 cat $tmp/config.h
955 rm -f $tmp/config.h
956 fi
957 # Compute $ac_file's index in $config_headers.
958 _am_stamp_count=1
959 for _am_header in $config_headers :; do
960 case $_am_header in
961 $ac_file | $ac_file:* )
962 break ;;
963 * )
964 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
965 esac
966 done
967 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
968 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
969 X$ac_file : 'X\(//\)[^/]' \| \
970 X$ac_file : 'X\(//\)$' \| \
971 X$ac_file : 'X\(/\)' \| \
972 . : '\(.\)' 2>/dev/null ||
973 echo X$ac_file |
974 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
975 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
976 /^X\(\/\/\)$/{ s//\1/; q; }
977 /^X\(\/\).*/{ s//\1/; q; }
978 s/.*/./; q'`/stamp-h$_am_stamp_count
979 done
980
981 #
982 # CONFIG_COMMANDS section.
983 #
984 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
985 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
986 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
987 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
988 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
989 X"$ac_dest" : 'X\(//\)[^/]' \| \
990 X"$ac_dest" : 'X\(//\)$' \| \
991 X"$ac_dest" : 'X\(/\)' \| \
992 . : '\(.\)' 2>/dev/null ||
993 echo X"$ac_dest" |
994 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
995 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
996 /^X\(\/\/\)$/{ s//\1/; q; }
997 /^X\(\/\).*/{ s//\1/; q; }
998 s/.*/./; q'`
999 { if $as_mkdir_p; then
1000 mkdir -p "$ac_dir"
1001 else
1002 as_dir="$ac_dir"
1003 as_dirs=
1004 while test ! -d "$as_dir"; do
1005 as_dirs="$as_dir $as_dirs"
1006 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1007 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1008 X"$as_dir" : 'X\(//\)[^/]' \| \
1009 X"$as_dir" : 'X\(//\)$' \| \
1010 X"$as_dir" : 'X\(/\)' \| \
1011 . : '\(.\)' 2>/dev/null ||
1012 echo X"$as_dir" |
1013 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1014 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1015 /^X\(\/\/\)$/{ s//\1/; q; }
1016 /^X\(\/\).*/{ s//\1/; q; }
1017 s/.*/./; q'`
1018 done
1019 test ! -n "$as_dirs" || mkdir $as_dirs
1020 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1021 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1022 { (exit 1); exit 1; }; }; }
1023
1024 ac_builddir=.
1025
1026 if test "$ac_dir" != .; then
1027 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1028 # A "../" for each directory in $ac_dir_suffix.
1029 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1030 else
1031 ac_dir_suffix= ac_top_builddir=
1032 fi
1033
1034 case $srcdir in
1035 .) # No --srcdir option. We are building in place.
1036 ac_srcdir=.
1037 if test -z "$ac_top_builddir"; then
1038 ac_top_srcdir=.
1039 else
1040 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1041 fi ;;
1042 [\\/]* | ?:[\\/]* ) # Absolute path.
1043 ac_srcdir=$srcdir$ac_dir_suffix;
1044 ac_top_srcdir=$srcdir ;;
1045 *) # Relative path.
1046 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1047 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1048 esac
1049
1050 # Do not use `cd foo && pwd` to compute absolute paths, because
1051 # the directories may not exist.
1052 case `pwd` in
1053 .) ac_abs_builddir="$ac_dir";;
1054 *)
1055 case "$ac_dir" in
1056 .) ac_abs_builddir=`pwd`;;
1057 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1058 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1059 esac;;
1060 esac
1061 case $ac_abs_builddir in
1062 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1063 *)
1064 case ${ac_top_builddir}. in
1065 .) ac_abs_top_builddir=$ac_abs_builddir;;
1066 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1067 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1068 esac;;
1069 esac
1070 case $ac_abs_builddir in
1071 .) ac_abs_srcdir=$ac_srcdir;;
1072 *)
1073 case $ac_srcdir in
1074 .) ac_abs_srcdir=$ac_abs_builddir;;
1075 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1076 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1077 esac;;
1078 esac
1079 case $ac_abs_builddir in
1080 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1081 *)
1082 case $ac_top_srcdir in
1083 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1084 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1085 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1086 esac;;
1087 esac
1088
1089
1090 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1091 echo "$as_me: executing $ac_dest commands" >&6;}
1092 case $ac_dest in
1093 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1094 # Strip MF so we end up with the name of the file.
1095 mf=`echo "$mf" | sed -e 's/:.*$//'`
1096 # Check whether this is an Automake generated Makefile or not.
1097 # We used to match only the files named `Makefile.in', but
1098 # some people rename them; so instead we look at the file content.
1099 # Grep'ing the first line is not enough: some people post-process
1100 # each Makefile.in and add a new line on top of each file to say so.
1101 # So let's grep whole file.
1102 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1103 dirpart=`(dirname "$mf") 2>/dev/null ||
1104 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1105 X"$mf" : 'X\(//\)[^/]' \| \
1106 X"$mf" : 'X\(//\)$' \| \
1107 X"$mf" : 'X\(/\)' \| \
1108 . : '\(.\)' 2>/dev/null ||
1109 echo X"$mf" |
1110 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1111 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1112 /^X\(\/\/\)$/{ s//\1/; q; }
1113 /^X\(\/\).*/{ s//\1/; q; }
1114 s/.*/./; q'`
1115 else
1116 continue
1117 fi
1118 # Extract the definition of DEPDIR, am__include, and am__quote
1119 # from the Makefile without running `make'.
1120 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1121 test -z "$DEPDIR" && continue
1122 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1123 test -z "am__include" && continue
1124 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1125 # When using ansi2knr, U may be empty or an underscore; expand it
1126 U=`sed -n 's/^U = //p' < "$mf"`
1127 # Find all dependency output files, they are included files with
1128 # $(DEPDIR) in their names. We invoke sed twice because it is the
1129 # simplest approach to changing $(DEPDIR) to its actual value in the
1130 # expansion.
1131 for file in `sed -n "
1132 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1133 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1134 # Make sure the directory exists.
1135 test -f "$dirpart/$file" && continue
1136 fdir=`(dirname "$file") 2>/dev/null ||
1137 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1138 X"$file" : 'X\(//\)[^/]' \| \
1139 X"$file" : 'X\(//\)$' \| \
1140 X"$file" : 'X\(/\)' \| \
1141 . : '\(.\)' 2>/dev/null ||
1142 echo X"$file" |
1143 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1144 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1145 /^X\(\/\/\)$/{ s//\1/; q; }
1146 /^X\(\/\).*/{ s//\1/; q; }
1147 s/.*/./; q'`
1148 { if $as_mkdir_p; then
1149 mkdir -p $dirpart/$fdir
1150 else
1151 as_dir=$dirpart/$fdir
1152 as_dirs=
1153 while test ! -d "$as_dir"; do
1154 as_dirs="$as_dir $as_dirs"
1155 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1156 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1157 X"$as_dir" : 'X\(//\)[^/]' \| \
1158 X"$as_dir" : 'X\(//\)$' \| \
1159 X"$as_dir" : 'X\(/\)' \| \
1160 . : '\(.\)' 2>/dev/null ||
1161 echo X"$as_dir" |
1162 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1163 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1164 /^X\(\/\/\)$/{ s//\1/; q; }
1165 /^X\(\/\).*/{ s//\1/; q; }
1166 s/.*/./; q'`
1167 done
1168 test ! -n "$as_dirs" || mkdir $as_dirs
1169 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1170 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1171 { (exit 1); exit 1; }; }; }
1172
1173 # echo "creating $dirpart/$file"
1174 echo '# dummy' > "$dirpart/$file"
1175 done
1176 done
1177 ;;
1178 esac
1179 done
1180
1181 { (exit 0); exit 0; }